
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_carrier")]
    public class BaseCarrier
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 货笼编码
        /// </summary>
        [Column("carrier_no")]
        public string carrierNo { get; set; }

        /// <summary>
        /// 货笼名称
        /// </summary>
        [Column("carrier_name")]
        public string carrierName { get; set; }

        /// <summary>
        /// RFID编码
        /// </summary>
        [Column("carrier_rfid_no")]
        public string carrierRfidNo { get; set; }

        /// <summary>
        /// 颜色
        /// </summary>
        [Column("carrier_color")]
        public string carrierColor { get; set; }

        /// <summary>
        /// 当前状态
        /// </summary>
        [Column("carrier_status")]
        public int? carrierStatus { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

